Show CRT template details
curl -X GET "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/drm/crt-templates/c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"uuid": "c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34",
"name": "rental-relative-expiration",
"description": "Expires 7 days after issuance; playback must finish within 48 hours.",
"tags": [
"profile",
"rental"
],
"template": {
"profile": {
"type": "rental",
"relativeExpiration": "PT168H",
"playDuration": "PT48H"
},
"storeLicense": true
}
}
/drm/crt-templates/{templateuuid}Target server for requests. Edit to use your own host.
API key (sent in header)
Unique identifier (UUID) of the CRT template, as returned by the list and create endpoints.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Unique identifier (UUID) of the CRT template, as returned by the list and create endpoints.
c3d9a1e4-7b2f-4e6a-9d8c-5f1b0a2e7c34Responses
Operation outcome.
Unique identifier of the CRT template.
Short name of the template.
Description of the template.
Free-form tags for organizing templates. Omitted when the template has no tags.
CRT claim-shape object merged into every CRT signed against this template.